View Issue Details

IDProjectCategoryView StatusLast Update
07750Development [All Projects] Expression Managerpublic2015-08-21 15:51
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.00 
Target Version2.05Fixed in Version2.05 
Summary07750: Expression manager don't found default attribute
Description

Looking at EM code:
function getQuestionAttributesForEM don't return default attribute

It make very difficult to use EM with default value of some attribute

Additional Information

Need to use commom_helper getQuestionAttributes
becuse QA model don't return default value too.

Or to update getQuestionAttributes in model (surely the best).

But actually with EM: need to find all qid etc ...

TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2013-04-11 16:03

developer   ~24940

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12259

Related Changesets

LimeSurvey: 2.05 38d78a22

2013-04-11 14:02:21

DenisChenu

Details Diff
Fixed issue 07750: Expression manager don't found default attribute
Dev: fixed max files to 1 by default too
Dev: rewrite getQuestionAttributeValues and move it to QuestionAttribute::model
Dev: rewrite LimeExpressionManager::getQuestionAttributesForEM()
Affected Issues
07750
mod - application/controllers/admin/database.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/models/Question.php Diff File
mod - application/models/QuestionAttribute.php Diff File

Issue History

Date Modified Username Field Change
2013-04-09 16:21 DenisChenu New Issue
2013-04-11 13:29 DenisChenu Assigned To => DenisChenu
2013-04-11 13:29 DenisChenu Status new => assigned
2013-04-11 13:30 DenisChenu Target Version => 2.05
2013-04-11 16:03 DenisChenu Changeset attached => LimeSurvey 2.05 38d78a22
2013-04-11 16:03 DenisChenu Note Added: 24940
2013-04-11 16:03 DenisChenu Resolution open => fixed
2013-04-11 16:20 DenisChenu Status assigned => resolved
2013-04-11 16:20 DenisChenu Fixed in Version => 2.05
2015-08-21 15:51 c_schmitz Status resolved => closed